Data Hub
Files

Sign URLs for multipart upload parts

Requires scope `runs:upload`. PAT only. Returns a few presigned UploadPart URLs. Fetch the next batch when these expire.

POST
/files/{fileId}/multipart-upload/part-urls

Requires scope runs:upload. PAT only. Returns a few presigned UploadPart URLs. Fetch the next batch when these expire.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

fileId*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/files/1/multipart-upload/part-urls" \  -H "Content-Type: application/json" \  -d '{    "upload_id": "string",    "part_numbers": [      0    ]  }'
{  "expires_in": 0,  "parts": [    {      "part_number": 0,      "upload_url": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}